[PATCH] Remove _gl_sky_mtex cvar

The multitexture sky drawing routines are working fine, so remove the cvar
that turns it on/off and always use it if multitexture is available.

diff -urN -X exclude a/NQ/gl_rmain.c head/NQ/gl_rmain.c
--- a/NQ/gl_rmain.c	2006-05-27 16:57:05.000000000 +0930
+++ head/NQ/gl_rmain.c	2006-05-28 12:09:09.000000000 +0930
@@ -117,7 +117,6 @@
 cvar_t gl_doubleeyes = { "gl_doubleeyes", "1" };
 
 cvar_t _gl_lightmap_sort = { "_gl_lightmap_sort", "0" };
-cvar_t _gl_sky_mtex = { "_gl_sky_mtex", "1" };
 cvar_t _gl_allowgammafallback = { "_gl_allowgammafallback", "1" };
 
 /*
diff -urN -X exclude a/NQ/gl_rmisc.c head/NQ/gl_rmisc.c
--- a/NQ/gl_rmisc.c	2006-05-27 16:57:05.000000000 +0930
+++ head/NQ/gl_rmisc.c	2006-05-28 12:09:21.000000000 +0930
@@ -211,7 +211,6 @@
     Cvar_RegisterVariable(&gl_texsort);
 
     Cvar_RegisterVariable(&_gl_lightmap_sort);
-    Cvar_RegisterVariable(&_gl_sky_mtex);
     Cvar_RegisterVariable(&_gl_allowgammafallback);
     Cvar_RegisterVariable(&_gl_drawhull);
 
diff -urN -X exclude a/QW/client/gl_rmain.c head/QW/client/gl_rmain.c
--- a/QW/client/gl_rmain.c	2006-05-27 16:57:05.000000000 +0930
+++ head/QW/client/gl_rmain.c	2006-05-28 12:10:54.000000000 +0930
@@ -121,7 +121,6 @@
 cvar_t gl_nocolors = { "gl_nocolors", "0" };
 
 cvar_t _gl_lightmap_sort = { "_gl_lightmap_sort", "0" };
-cvar_t _gl_sky_mtex = { "_gl_sky_mtex", "1" };
 cvar_t _gl_allowgammafallback = { "_gl_allowgammafallback", "1" };
 
 /*
diff -urN -X exclude a/QW/client/gl_rmisc.c head/QW/client/gl_rmisc.c
--- a/QW/client/gl_rmisc.c	2006-05-27 16:57:05.000000000 +0930
+++ head/QW/client/gl_rmisc.c	2006-05-28 12:11:05.000000000 +0930
@@ -211,7 +211,6 @@
     Cvar_RegisterVariable(&gl_texsort);
 
     Cvar_RegisterVariable(&_gl_lightmap_sort);
-    Cvar_RegisterVariable(&_gl_sky_mtex);
     Cvar_RegisterVariable(&_gl_allowgammafallback);
     Cvar_RegisterVariable(&_gl_drawhull);
 
diff -urN -X exclude a/common/gl_warp.c head/common/gl_warp.c
--- a/common/gl_warp.c	2006-05-27 16:57:05.000000000 +0930
+++ head/common/gl_warp.c	2006-05-28 12:10:38.000000000 +0930
@@ -346,7 +346,7 @@
 {
     msurface_t *fa;
 
-    if (gl_mtexable && _gl_sky_mtex.value) {
+    if (gl_mtexable) {
 	GL_SelectTexture(GL_TEXTURE0_ARB);
 	GL_Bind(solidskytexture);
 	glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_REPLACE);
diff -urN -X exclude a/include/glquake.h head/include/glquake.h
--- a/include/glquake.h	2006-05-27 16:57:05.000000000 +0930
+++ head/include/glquake.h	2006-05-28 12:11:23.000000000 +0930
@@ -216,7 +216,6 @@
 extern cvar_t gl_finish;
 
 extern cvar_t _gl_lightmap_sort;
-extern cvar_t _gl_sky_mtex;
 extern cvar_t _gl_allowgammafallback;
 extern cvar_t _gl_drawhull;
 
